Subject: Re: perl-5.14.2 switch
From: "Yaakov (Cygwin/X)" <[email-masked]>
To: Reini Urban <[email-masked]>
Cc: [email-masked]
Date: Tue, 10 Jul 2012 21:19:38 -0500
List-Id: <cygwin.cygwin.com>

On Tue, Jul 10, 2012 at 6:51 PM, Reini Urban wrote:
> On Tue, Jul 10, 2012 at 6:10 PM, Yaakov (Cygwin/X) wrote:
>> Found another problem which breaks gtk2-perl modules (which link
>> against each other).  The following change needs to be made in
>> ExtUtils::Liblist::Kid::_unix_os2_ext(), line 135:
>>
>> -                 && -f ($fullname="$thispth/lib$thislib.$Config_dlext")) {
>> +                 && -f ($fullname="$thispth/$thislib.$Config_dlext")) {
>>
>> I have made this change locally and am continuing the rebuild for Ports.
>
> I do not really understand. A few lines below we check for this case
>             elsif ( -f ( $fullname = "$thispth/$thislib.dll" ) ) {
>             }
> and skip then.

I don't see that line in my file.  Perhaps this is a newer version or
local modification on your part?

Yaakov

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple